## chezscheme 9.5+dfsg

=== csug/Makefile ===
m = a6le
Scheme=../$m/bin/$m/scheme -b ../$m/boot/$m/petite.boot -b ../$m/boot/$m/scheme.boot
STEXLIB=../stex
installdir=/tmp/csug9
INSTALL=../$m/installsh

x = csug
latex = pdflatex
stexmacrofiles = tspl4-prep
bib = $(x).bib
index=yes
TSPL=tspl4
DIR=$(shell basename `pwd`)

target: logcheck1 logcheck2 checklibs $(x).html

install: target
	$(INSTALL) -m 2755 -d $(installdir)
	$(INSTALL) -m 0644 --ifdiff *.html *.css $(installdir)
	$(INSTALL) -m 2755 -d $(installdir)/canned
	$(INSTALL) -m 0644 --ifdiff canned/* $(installdir)/canned
	$(INSTALL) -m 2755 -d $(installdir)/gifs
	$(INSTALL) -m 0644 --ifdiff gifs/*.gif $(installdir)/gifs
	$(INSTALL) -m 2755 -d $(installdir)/$(mathdir)
	$(INSTALL) -m 0644 --ifdiff $(mathdir)/*.gif $(installdir)/$(mathdir)
	(cd $(installdir); ln -s -f $(x).html index.html)

# thrice is not enough when starting from scratch
logcheck1: $(x).thirdrun
	@if [ -n "`grep 'Warning: Label(s) may have changed' $(x).log`" ] ; then\
            /bin/rm -f $(x).thirdrun ;\
            $(MAKE) $(x).thirdrun;\
         fi

rerun: $(x).thirdrun

logcheck2: $(x).thirdrun
	@if [ -n "`grep Warning $(x).log | grep -v pdftex.map`" ] ; then\
            echo "`grep Warning $(x).log | grep -v pdftex.map`";\
            false;\
         fi
	@if [ -n "`grep Overfull $(x).log | grep -v pdftex.map`" ] ; then\
            echo "`grep Overfull $(x).log | grep -v pdftex.map`";\
            false;\
         fi

include $(STEXLIB)/Mf-stex

stexsrc = csug.stex title.stex copyright.stex contents.stex\
 preface.stex intro.stex use.stex expeditor.stex debug.stex foreign.stex\
 binding.stex control.stex objects.stex numeric.stex io.stex\
 libraries.stex syntax.stex system.stex smgmt.stex threads.stex\
 compat.stex bibliography.stex summary.stex
texsrc = ${stexsrc:%.stex=%.tex}

title.tex contents.tex bibliography.tex:
	/bin/rm -f $*.tex
	echo "%%% DO NOT EDIT THIS FILE" > $*.tex
	echo "%%% Edit the .stex version instead" >> $*.tex
	echo "" >> $*.tex
	cat $*.stex >> $*.tex
	chmod -w $*.tex
title.tex: title.stex
contents.tex: contents.stex
bibliography.tex: bibliography.stex

$(x).firstrun: $(x).prefirstrun
$(x).prefirstrun: tspl.aux tspl.rfm tspl.idx
	touch $x.sfm
	cat tspl.aux > $x.aux
	cat tspl.rfm > $x.rfm
	cat tspl.idx > $x.idx
	touch $(x).prefirstrun

$(x).secondrun: $(x).presecondrun
$(x).presecondrun: $(x).firstrun
	cat tspl.aux >> $x.aux
	cat tspl.rfm >> $x.rfm
	echo '(summary-make "$x")' | $(Scheme) setup.ss summary.ss
	cat tspl.idx >> $x.idx
	touch $(x).presecondrun

$(x).thirdrun: $(x).prethirdrun canned/cisco-logo.png
$(x).prethirdrun: $(x).secondrun
	cat tspl.aux >> $x.aux
	cat tspl.rfm >> $x.rfm
	echo '(summary-make "$x")' | $(Scheme) setup.ss summary.ss
	cat tspl.idx >> $x.idx
	touch $(x).prethirdrun

$(x).hfirstrun: $(x).hprefirstrun csug8.hcls
$(x).hprefirstrun: $(x).thirdrun tspl.haux in.hidx
	cat tspl.aux >> $x.aux
	cat tspl.rfm >> $x.rfm
	cat tspl.idx >> $x.idx
	cat tspl.haux > $x.haux
	touch $(x).hprefirstrun

$(x).hsecondrun: $(x).hpresecondrun
$(x).hpresecondrun: $(x).hfirstrun
	cat tspl.haux >> $x.haux
	touch $(x).hpresecondrun

$(x).hthirdrun: $(x).hprethirdrun
$(x).hprethirdrun: $(x).hsecondrun
	cat tspl.haux >> $x.haux
	touch $(x).hprethirdrun

$(x).prefirstrun: $(texsrc) csug8.cls csug810.clo

$(x).firstrun: scheme.sty

tspl.aux: ${TSPL}/tspl.aux
	cat ${TSPL}/*.aux | grep '\\newlabel' | \
         sed -e 's/\\newlabel{\(.*\){\([^}]*\)}}/\\newlabel{TSPL:\1{t\2}}/' > tspl.aux

tspl.haux: ${TSPL}/tspl.haux
	sed -e 's/(putprop (quote /(putprop (quote |TSPL|:/' ${TSPL}/tspl.haux | \
         sed -e 's;url) ";url) "http://scheme.com/${TSPL}/;' > tspl.haux

tspl.rfm: ${TSPL}/tspl.rfm
	sed -e 's/\\pageref{/\\pageref{TSPL:/' ${TSPL}/tspl.rfm > tspl.rfm

# this version leaves tspl entries out of the printed index
#tspl.idx:
#	echo -n > tspl.idx

# this version includes tspl entries in the printed index
tspl.idx: ${TSPL}/tspl.idx
	sed -e 's/{\([1-9][0-9]*\)}$$/{t\1}/' ${TSPL}/tspl.idx | \
         sed -e 's/{\([ivx][ivx]*\)}$$/{t\1}/' > tspl.idx

in.hidx: ${TSPL}/out.hidx
	sed -e 's;"\(.*\)\.html#;"http://scheme.com/${TSPL}/\1.html#;' ${TSPL}/out.hidx | \
         sed -e 's/"")$$/"t")/' > in.hidx

$(texsrc): tspl4-prep.stex priminfo.ss ../s/primdata.ss

checklibs: $(x).thirdrun
	sort libsrecorded | uniq > libsrecorded.sort
	sort libslisted | uniq > libslisted.sort
	diff libsrecorded.sort libslisted.sort

code: $(stexsrc)
	extract.pl $(stexsrc) > code
	echo '(load "code" pretty-print)' | $(Scheme) -q

$(x).clean:
	-/bin/rm -f $(x).rfm $(x).sfm $(x).prefirstrun $(x).presecondrun\
                    $(x).prethirdrun $(x).ans\
                    $(x).hprefirstrun $(x).hpresecondrun $(x).hprethirdrun\
                    tspl.aux tspl.haux tspl.rfm tspl.idx in.hidx\
                    libsrecorded{,.sort} libslisted{,.sort}\
                    code

$(x).reallyclean:

$(x).reallyreallyclean:

=== examples/Makefile ===
# Unix make file to compile the examples.
# Compilation is not necessary since the examples may be loaded from
# source, but this gives an example of how to use make for Scheme.
# * To compile files not already compiled, type "make".  Only those
#   files in the object list below and not yet compiled will be compiled.
# * To compile all files, type "make all".  Only those files in the object
#   list below will be compiled.
# * To compile one file, say "fumble.ss", type "make fumble.so".  The
#   file need not be in the object list below.
# * To remove the object files, type "make clean".
# * To print the examples, type "make print".

src = def.ss edit.ss fact.ss fatfib.ss fft.ss fib.ss freq.ss interpret.ss\
 m4.ss macro.ss matrix.ss object.ss power.ss queue.ss rabbit.ss rsa.ss\
 scons.ss setof.ss socket.ss unify.ss compat.ss ez-grammar-test.ss
obj = ${src:%.ss=%.so}

Scheme = ../bin/scheme -q

.SUFFIXES:
.SUFFIXES: .ss .so
.ss.so: ; echo '(time (compile-file "$*"))' | ${Scheme}

needed:	${obj}

all: ; echo "(time (for-each compile-file (map symbol->string '(${src}))))" | ${Scheme}

clean: ; /bin/rm -f $(obj)

=== release_notes/Makefile ===
m = a6le
Scheme=../$m/bin/$m/scheme -b ../$m/boot/$m/petite.boot -b ../$m/boot/$m/scheme.boot
STEXLIB=../stex
installdir=/tmp/csv9
INSTALL=../$m/installsh

# define default document pathname here
# override on command line with 'make x=newdoc'
x = release_notes

# define latex processor: latex or pdflatex
latex = pdflatex

# define stex macro files here
stexmacrofiles =

# list bibliography files here
bib =

# define index if an index is to be generated
# index=yes

include $(STEXLIB)/Mf-stex

# define or override suffixes here

# define any additional targets here

install: $x.pdf $x.html
	$(INSTALL) -m 2755 -d $(installdir)
	$(INSTALL) -m 0644 --ifdiff $x.html $x.pdf $(installdir)
	$(INSTALL) -m 0644 --ifdiff releasenotes.css $(installdir)
	(X=`echo canned/*` ;\
         if [ "$$X" != "canned/*" ] ; then\
           $(INSTALL) -m 2755 -d $(installdir)/canned ;\
           $(INSTALL) -m 0644 --ifdiff canned/* $(installdir)/canned ;\
         fi)
	$(INSTALL) -m 2755 -d $(installdir)/gifs
	$(INSTALL) -m 0644 --ifdiff gifs/*.gif $(installdir)/gifs
	$(INSTALL) -m 2755 -d $(installdir)/math
	-/bin/rm -rf $(installdir)/$(mathdir)
	$(INSTALL) -m 2755 -d $(installdir)/$(mathdir)
	if [ -e $(mathdir)/0.gif ] ; then $(INSTALL) -m 0644 $(mathdir)/*.gif $(installdir)/$(mathdir) ; fi

# define any dependencies here

$(x).firstrun: macros.tex

# define cleanup targets here:

$(x).clean:

$(x).reallyclean:

$(x).reallyreallyclean:

=== unicode/Makefile ===
Scheme=../bin/scheme

doit: unicode-char-cases.ss unicode-charinfo.ss

unicode-char-cases.ss: extract-char-cases.ss unicode-data.ss
	echo | $(Scheme) -q extract-char-cases.ss

unicode-charinfo.ss: extract-info.ss unicode-data.ss
	echo | $(Scheme) -q extract-info.ss

unicode-char-cases.ss: \
 UNIDATA/CompositionExclusions.txt\
 UNIDATA/UnicodeData.txt\
 UNIDATA/CaseFolding.txt\
 UNIDATA/SpecialCasing.txt

unicode-charinfo.ss: \
 UNIDATA/UnicodeData.txt\
 UNIDATA/WordBreakProperty.txt\
 UNIDATA/PropList.txt

=== wininstall/Makefile ===
VERSION := 9.4.1
WIXEXTENSIONS := -ext WixUIExtension -ext WixBalExtension

ChezScheme.exe: x86/bundle.wixobj ChezScheme32.msi ChezScheme64.msi
	cmd.exe /c light.bat -nologo $(WIXEXTENSIONS) $< -out $@

ChezScheme32.msi: x86/product.wixobj x86/examples.wixobj x86/i3nt.wixobj x86/ti3nt.wixobj x86/vcredist.wixobj x86/ui.wixobj
	cmd.exe /c light.bat -nologo $(WIXEXTENSIONS) $^ -sice:ICE64 -sice:ICE03 -sice:ICE82 -sice:ICE61 -out "$@"

ChezScheme64.msi: x64/product.wixobj x64/a6nt.wixobj x64/examples.wixobj x64/ta6nt.wixobj x64/vcredist.wixobj x64/ui.wixobj
	cmd.exe /c light.bat -nologo $(WIXEXTENSIONS) $^ -sice:ICE64 -sice:ICE03 -sice:ICE82 -sice:ICE61 -out "$@"

x86/%.wixobj: %.wxs
	cmd.exe /c candle.bat -nologo -dVersion=$(VERSION) $(WIXEXTENSIONS) $< -out $@

x64/%.wixobj: %.wxs
	cmd.exe /c candle.bat -arch x64 -nologo -dVersion=$(VERSION) $(WIXEXTENSIONS) $< -out $@

vcredist.wxs: locate-vcredist.bat
	cmd.exe /c locate-vcredist.bat

.PHONY: workareas
workareas:
	cd ..; ./configure -m=a6nt; $(MAKE) -C a6nt/c
	cd ..; ./configure -m=i3nt; $(MAKE) -C i3nt/c
	cd ..; ./configure -m=ta6nt; $(MAKE) -C ta6nt/c
	cd ..; ./configure -m=ti3nt; $(MAKE) -C ti3nt/c

.PHONY: clean
clean:
	-rm -rf *.msi *.wixpdb x86/ x64/ vcredist.wxs *.wixobj *.exe

=== csug/gifs/Makefile ===
gifs = ghostRightarrow.gif

# ch1.gif ch2.gif ch3.gif ch4.gif ch5.gif ch6.gif ch7.gif ch8.gif ch9.gif\
# ch10.gif ch11.gif ch12.gif

density=-r90x90

.SUFFIXES:
.SUFFIXES: .tex .gif .eps

# translate ps file to ppm, crop to minimum background, and translate ppm
# to gif with white (background) transparent
#
.tex.gif:
	echo | latex $* &&\
          dvips -f < $*.dvi |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif -transparent white > $*.gif
	/bin/rm -f $*.dvi $*.log *.aux
	test -f $*.gif && chmod 644 $*.gif

# translate ps file to gif w/o transparent white background
.eps.gif:
	cat $*.eps |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif > $*.gif
	/bin/rm -f $*.dvi $*.log *.aux
	test -f $*.gif && chmod 644 $*.gif

all: ${gifs}

# make ghostRightarrow.gif a completely transparent version of Rightarrow.ps
#
# translate ps to gif as above but w/o making white transparent, map black
# to white, convert to ppm, and convert back to gif with white transparent
#
# could skip intermediate conversion to gif if we could map black to white
# with some ppm tool
#
# it seems like should be able to replace last three steps with
#    giftrans -g '#000000=#ffffff' -t '#ffffff'
# or at least
#    giftrans -g '#000000=#ffffff' | giftrans -t '#ffffff'
# but giftrans changes only the first white color it sees, not all
#
ghostRightarrow.gif: Rightarrow.tex
	echo | latex Rightarrow &&\
          dvips -f < Rightarrow.dvi |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif |\
          giftrans -g '#000000=#ffffff' |\
          giftopnm |\
          ppmtogif -transparent white > $*.gif
	/bin/rm -f Rightarrow.dvi Rightarrow.log Rightarrow.aux
	test -f $*.gif && chmod 644 $*.gif

clean: ; /bin/rm -f *.gif Make.out

=== release_notes/gifs/Makefile ===
gifs = ghostRightarrow.gif

density=-r90x90

.SUFFIXES:
.SUFFIXES: .tex .gif

# translate ps file to ppm, crop to minimum background, and translate ppm
# to gif with white (background) transparent
#
.tex.gif:
	echo | latex $* &&\
          dvips -f < $*.dvi |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif -transparent white > $*.gif
	/bin/rm -f $*.dvi $*.log *.aux
	test -f $*.gif && chmod 644 $*.gif

all: ${gifs}

# make ghostRightarrow.gif a completely transparent version of Rightarrow.ps
#
# translate ps to gif as above but w/o making white transparent, map black
# to white, convert to ppm, and convert back to gif with white transparent
#
# could skip intermediate conversion to gif if we could map black to white
# with some ppm tool
#
# it seems like should be able to replace last three steps with
#    giftrans -g '#000000=#ffffff' -t '#ffffff'
# or at least
#    giftrans -g '#000000=#ffffff' | giftrans -t '#ffffff'
# but giftrans changes only the first white color it sees, not all
#
ghostRightarrow.gif: Rightarrow.tex
	echo | latex Rightarrow &&\
          dvips -f < Rightarrow.dvi |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif |\
          giftrans -g '#000000=#ffffff' |\
          giftopnm |\
          ppmtogif -transparent white > $*.gif
	/bin/rm -f Rightarrow.dvi Rightarrow.log Rightarrow.aux
	test -f $*.gif && chmod 644 $*.gif

clean: ; /bin/rm -f *.gif Make.out

## chezscheme 9.5%2Bdfsg

=== debian/control ===
Source: chezscheme
Section: lisp
Priority: optional
Maintainer: Göran Weinholt <goran@weinholt.se>
Build-Depends: debhelper (>= 10), dh-exec
Build-Depends-Arch: zlib1g-dev | libz-dev,
       libncurses5-dev | libncurses-dev | ncurses-dev,
       libx11-dev,
       r6rs-nanopass-dev
Build-Depends-Indep: stex <!nodoc>
Standards-Version: 4.1.2
Homepage: https://cisco.github.io/ChezScheme/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/chezscheme.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/chezscheme.git

Package: chezscheme9.5
Architecture: i386 amd64 armel armhf
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Reliable, high performance Scheme compiler (version 9.5)
 Chez Scheme is both a programming language and an implementation of
 that language, with supporting tools and documentation.
 .
 This package contains the executables and the boot files.

Package: chezscheme9.5-dev
Section: devel
Architecture: i386 amd64 armel armhf
Multi-Arch: same
Depends: chezscheme9.5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Reliable, high performance Scheme compiler (C development files)
 Chez Scheme is both a programming language and an implementation of
 that language, with supporting tools and documentation.
 .
 This package contains the runtime kernel and C headers.

Package: chezscheme9.5-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Reliable, high performance Scheme compiler (documentation)
 Chez Scheme is both a programming language and an implementation of
 that language, with supporting tools and documentation.
 .
 This package contains the documentation.

Package: chezscheme
Architecture: all
Multi-Arch: foreign
Depends: chezscheme9.5, ${misc:Depends}
Suggests: chezscheme9.5-doc
Conflicts: ikarus (<< 0.0.3+bzr.2010.01.26-5)
Description: Reliable, high performance Scheme compiler
 Chez Scheme is both a programming language and an implementation of
 that language, with supporting tools and documentation.
 .
 As a superset of the language described in the Revised^6 Report on
 the Algorithmic Language Scheme (R6RS), Chez Scheme supports all
 standard features of Scheme, including first-class procedures, proper
 treatment of tail calls, continuations, user-defined records,
 libraries, exceptions, and hygienic macro expansion.
 .
 Chez Scheme also includes extensive support for interfacing with C
 and other languages, support for multiple threads possibly running on
 multiple cores, non-blocking I/O, and many other features.
 .
 This package depends on the latest Chez Scheme version.

## chezscheme 9.5+dfsg

=== debian/changelog ===
chezscheme (9.5+dfsg-6) unstable; urgency=medium

  * Remove Built-Using (not needed since policy 4.1.3)
  * Manage the /usr/bin/scheme symlink as an alternative (Closes: #909937)

 -- Göran Weinholt <weinholt@debian.org>  Sun, 30 Sep 2018 13:16:41 +0200

chezscheme (9.5+dfsg-5) unstable; urgency=medium

  * Split -arch/-indep install and build targets to fix FTBFS.
    Thanks to Santiago Vila for the report (Closes: #901104)

 -- Göran Weinholt <weinholt@debian.org>  Sat, 09 Jun 2018 11:23:07 +0200

chezscheme (9.5+dfsg-4) unstable; urgency=medium

  * Fix for insufficiently tested use of boot files in /usr/lib
    (closes: #899062)

 -- Göran Weinholt <weinholt@debian.org>  Sat, 19 May 2018 21:38:45 +0200

chezscheme (9.5+dfsg-3) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * update URLs and policy

  [ Göran Weinholt ]
  * Bump to Standards-Version 4.1.4 (no changes)
  * Add Barak A. Pearlmutter to Uploaders. Thanks for sponsoring!
  * Update Maintainer to my @debian.org address
  * -dev: install files in the same location as upstream.
  * -dev: install equates.h and main.o
  * Override lintian warnings for {main,kernel}.o, which are placed in
    upstream's system of arch-specific directories.
  * Double FMTBUFSIZE to fix ftbfs with gcc-8 (closes: #897720).
    Thanks for the report, Matthias Klose.
  * Add chezscheme9.5{,-dev} as a build-dep for armhf when not cross
    compiling.
  * Use boot files from /usr/lib if they are missing in
    boot/<machine-type>, fixing building on buildds (closes: #899062).
    Thanks for the report, Adam Borowski.
  * Drop the armel architecture because it crashes when floating point is
    used (it never worked).

 -- Göran Weinholt <weinholt@debian.org>  Sat, 19 May 2018 10:55:27 +0200

chezscheme (9.5+dfsg-2) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * git ignore build DEBris

  [ Göran Weinholt ]
  * Fix from upstream for FTBFS with glibc 2.26 (Closes: #889105).
    Thanks for the report, Jeremy Bicha.
  * Fix duplicated path component in -dev package

 -- Göran Weinholt <goran@weinholt.se>  Fri, 02 Feb 2018 14:05:10 +0100

chezscheme (9.5+dfsg-1) unstable; urgency=medium

  [ Göran Weinholt ]
  * Initial release (closes: #823425).
  * Add support for cross-building from i386/amd64 to armel/armhf.
  * Fix zlib linking in i386 builds.

  [ Barak A. Pearlmutter ]
  * Tell debian/rules that arch i386 is DEB_HOST_GNU_TYPE i686-linux-gnu

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 Dec 2017 02:12:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: chezscheme
 Section: lisp
 Priority: optional
-Maintainer: Göran Weinholt <goran@weinholt.se>
+Maintainer: Göran Weinholt <weinholt@debian.org>
+Uploaders: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 10), dh-exec
 Build-Depends-Arch: zlib1g-dev | libz-dev,
        libncurses5-dev | libncurses-dev | ncurses-dev,
        libx11-dev,
-       r6rs-nanopass-dev
+       r6rs-nanopass-dev,
+       chezscheme9.5 [armhf] <!cross>,
+       chezscheme9.5-dev [armhf] <!cross>
 Build-Depends-Indep: stex <!nodoc>
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://cisco.github.io/ChezScheme/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/chezscheme.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/chezscheme.git
+Vcs-Git: https://salsa.debian.org/debian/chezscheme.git
+Vcs-Browser: https://salsa.debian.org/debian/chezscheme
 
 Package: chezscheme9.5
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armhf
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Built-Using: ${misc:Built-Using}
 Description: Reliable, high performance Scheme compiler (version 9.5)
  Chez Scheme is both a programming language and an implementation of
  that language, with supporting tools and documentation.
@@ -26,7 +28,7 @@
 
 Package: chezscheme9.5-dev
 Section: devel
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armhf
 Multi-Arch: same
 Depends: chezscheme9.5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Reliable, high performance Scheme compiler (C development files)

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export CHEZ_VERSION = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/[+~].*$$//')
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DOPACKAGES = $(shell dh_listpackages)

# Translate the host architecture (the arch we're building for) to
# terms the build system understands.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-linux-gnu)
    export HOST_MACHINE_TYPE = ta6le
else ifeq ($(DEB_HOST_GNU_TYPE), i386-linux-gnu)
    export HOST_MACHINE_TYPE = ti3le
else ifeq ($(DEB_HOST_GNU_TYPE), i686-linux-gnu)
    export HOST_MACHINE_TYPE = ti3le
else ifeq ($(DEB_HOST_GNU_TYPE), arm-linux-gnueabihf)
    export HOST_MACHINE_TYPE = arm32le
else ifeq ($(DEB_HOST_GNU_TYPE), arm-linux-gnueabi)
    export HOST_MACHINE_TYPE = arm32le
else
    $(error Cannot yet build for $(DEB_HOST_GNU_TYPE))
endif
ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
LD := $(DEB_HOST_GNU_TYPE)-ld
endif

# Avoid using /usr/bin/scheme to run stex
ifeq ($(wildcard /usr/bin/chezscheme),)
    INSTALLED_CHEZ=/usr/bin/chezscheme9.5
else
    # Available since 9.5+dfsg-6
    INSTALLED_CHEZ=/usr/bin/chezscheme
endif

LIBDIR=usr/lib/csv$(CHEZ_VERSION)/$(HOST_MACHINE_TYPE)

%:
	dh $@

override_dh_auto_configure:
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	if [ ! -d boot/$(HOST_MACHINE_TYPE) ]; then \
          cp -r /usr/lib/csv$(CHEZ_VERSION)/$(HOST_MACHINE_TYPE) boot/$(HOST_MACHINE_TYPE); \
          touch boot/$(HOST_MACHINE_TYPE)/.debian-cleanup; \
	fi
	CC=$(CC) ./configure --workarea=build -m=$(HOST_MACHINE_TYPE) --installprefix=/usr --temproot=$(shell pwd)/debian/tmp
else
	./configure --workarea=crossbuilder --threads --installprefix=/usr --temproot=$(shell pwd)/debian/tmp
	make -C crossbuilder
	./workarea $(HOST_MACHINE_TYPE)
	mv $(HOST_MACHINE_TYPE) build
endif
	(cd build/s; ln -s ../../s/primdata.ss primdata.ss)
	cp -a release_notes/ build/
	cp -a csug/ build/
	(echo "\def\INSERTREVISIONMONTHSPACEYEAR{}"; cat csug/copyright.stex) > \
	    build/csug/copyright.stex

override_dh_auto_test:
ifeq (fullcheck,$(filter fullcheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
endif

override_dh_auto_build-arch:
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	make -C build
else
	$(eval BUILD_MACHINE_TYPE = $(shell awk -F= '/^m=/ {print $$2}' crossbuilder/Mf-install))
	make -C build/s -f Mf-cross m=$(BUILD_MACHINE_TYPE) xm=$(HOST_MACHINE_TYPE) base=$(CURDIR)/crossbuilder
	make -C build/c CC=$(CC) LD=$(LD)
endif

override_dh_auto_build-indep:
ifneq (,$(filter chezscheme$(CHEZ_VERSION)-doc,$(DOPACKAGES)))
	make -C build/release_notes Scheme=$(INSTALLED_CHEZ) STEXLIB=/usr/share/stex
	make -C build/csug Scheme=$(INSTALLED_CHEZ) STEXLIB=/usr/share/stex
endif

override_dh_auto_install-arch:
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	make install
else
	make -C build -f ../crossbuilder/Mf-install m=$(HOST_MACHINE_TYPE)
endif
	sed -e 's,^\\fI\(Chez Scheme\)\\fP,chezscheme$(CHEZ_VERSION) \- Chez Scheme,' \
	    -e 's,^\\fI\(Petite Chez Scheme\)\\fP,petite$(CHEZ_VERSION) \- Petite Chez Scheme,' \
	    build/scheme.1 > build/chezscheme$(CHEZ_VERSION).1

override_dh_auto_install-indep:
ifneq (,$(filter chezscheme$(CHEZ_VERSION)-doc,$(DOPACKAGES)))
	make -C build/release_notes Scheme=$(INSTALLED_CHEZ) STEXLIB=/usr/share/stex INSTALL=../installsh \
	    installdir=$(shell pwd)/debian/tmp/usr/share/doc/chezscheme-doc/ \
	    install
	make -C build/csug Scheme=$(INSTALLED_CHEZ) STEXLIB=/usr/share/stex INSTALL=../installsh \
	    installdir=$(shell pwd)/debian/tmp/usr/share/doc/chezscheme-doc/html/ \
	    install
	rm -f debian/tmp/usr/share/doc/chezscheme-doc/html/canned/*-orig.png
	ln -sf ../csug.css debian/tmp/usr/share/doc/chezscheme-doc/html/canned/csug.css
endif

override_dh_link:
	dh_link $(LIBDIR)/petite.boot $(LIBDIR)/petite$(CHEZ_VERSION).boot \
	        $(LIBDIR)/scheme.boot $(LIBDIR)/chezscheme$(CHEZ_VERSION).boot \
	        $(LIBDIR)/scheme.boot $(LIBDIR)/chezscheme.boot \
	        $(LIBDIR)/scheme.boot $(LIBDIR)/scheme-script.boot \
	        $(LIBDIR)/scheme.boot $(LIBDIR)/scheme-script$(CHEZ_VERSION).boot \
	        /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
	        /usr/share/man/man1/petite$(CHEZ_VERSION).1.gz \
	        /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
	        /usr/share/man/man1/scheme-script$(CHEZ_VERSION).1.gz
	dh_link -pchezscheme \
               /usr/bin/chezscheme$(CHEZ_VERSION) usr/bin/chezscheme \
	       /usr/bin/chezscheme$(CHEZ_VERSION) usr/bin/petite \
	       /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
	       /usr/share/man/man1/petite.1.gz \
	       /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
               /usr/share/man/man1/chezscheme.1.gz

override_dh_auto_clean:
	rm -f Makefile
	dh_auto_clean
	if [ -f boot/$(HOST_MACHINE_TYPE)/.debian-cleanup ]; then \
	  rm -rf boot/$(HOST_MACHINE_TYPE); \
	fi

override_dh_installdocs:
	dh_installdocs -A NOTICE

override_dh_installchangelogs:
	dh_installchangelogs LOG

override_dh_installman-arch:
	dh_installman build/chezscheme$(CHEZ_VERSION).1

## chezscheme 9.5.4+dfsg

=== bintar/Makefile ===
# Makefile
# Copyright 1984-2017 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

version = 9.5.4
m := $(shell find ../bin/* -type d | xargs basename)

R = csv$(version)
TARBALL = $(R)-$(m).tar.gz

CONTENTS=\
  $(R)/LICENSE\
  $(R)/NOTICE\
  $(R)/scheme.1.in\
  $(R)/installsh\
  $(R)/Makefile\
  $(R)/examples\
  $(R)/boot\
  $(R)/bin

$(TARBALL): $(CONTENTS)
	( BROKEN=`find -L $R -type l` ; \
          if test -n "$$BROKEN" ; then \
             echo "Error: missing $(BROKEN)" ; \
             exit 1 ; \
          fi )
	tar -czhf $(TARBALL) $R
	rm -rf $(R) 

$(R)/LICENSE: $(R)
	( cd $(R) ; ln -s ../../../LICENSE . )

$(R)/NOTICE: $(R)
	( cd $(R) ; ln -s ../../../NOTICE . )

$(R)/scheme.1.in: $(R)
	( cd $(R) ; ln -s ../../scheme.1.in . )

$(R)/installsh: $(R)
	( cd $(R) ; ln -s ../../installsh . )

$(R)/Makefile: $(R)
	( cd $(R) ; ln -s ../../Mf-install Makefile )

$(R)/examples: $(R)
	( cd $(R) ; ln -s ../../examples . )

$(R)/boot: $(R)
	mkdir -p $(R)/boot/$(m)
	( cd $(R)/boot/$(m) ; ln -s ../../../../boot/$(m)/{scheme.h,petite.boot,scheme.boot,revision} . )
	case $(m) in \
          *nt) \
            ( cd $R/boot/$(m) ; ln -s ../../../../boot/$(m)/{csv954md.lib,csv954mt.lib,mainmd.obj,mainmt.obj,scheme.res} . ) \
            ;; \
          *) \
            ( cd $R/boot/$(m) ; ln -s ../../../../boot/$(m)/{main.o,kernel.o} . ) \
            ;; \
        esac

$(R)/bin: $(R)
	mkdir -p $(R)/bin/$(m)
	case $(m) in \
          *nt) \
            ( cd $R/bin/$(m) ; ln -s ../../../../bin/$(m)/{scheme.exe,csv954.dll,csv954.lib,vcruntime140.lib} . ) \
            ;; \
          *) \
            ( cd $R/bin/$(m) ; ln -s ../../../../bin/$(m)/scheme . ) \
            ;; \
        esac

$(R):
	mkdir $(R)

clean:
	rm -rf $(R) $(TARBALL)

=== pkg/Makefile ===
# Makefile
# Copyright 1984-2017 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

m := $(shell find ../bin/* -type d | xargs basename)
version = 9.5.4
release = 1

DOTUSER = $(shell ls -ld . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
DOTGROUP = $(shell ls -ldg . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
BUILDROOT = $(m)$(version)
RELEASE = csv$(version)
TARBALL = $(RELEASE)-$(m).tar.gz
PKG = $(RELEASE)-$(m)-$(release).pkg

PKGCONTENT =\
 $(BUILDROOT)/Resources/en.lproj/Welcome.html\
 $(BUILDROOT)/Resources/en.lproj/License.txt\
 $(BUILDROOT)/Distribution\
 $(BUIDROOT)/Root/bin\
 $(BUILDROOT)/Root/lib\
 $(BUILDROOT)/Root/man

$(PKG): $(BUILDROOT)/$(PKG)
	sudo /usr/bin/productbuild\
          --resources $(BUILDROOT)/Resources\
          --distribution $(BUILDROOT)/Distribution\
          --package-path $(BUILDROOT)\
          $(PKG)
	sudo chown $(DOTUSER):$(DOTGROUP) $(PKG)
	sudo /bin/rm -rf $(RELEASE) $(BUILDROOT)

$(BUILDROOT)/$(PKG): $(PKGCONTENT)
	sudo /usr/bin/pkgbuild\
          --root $(BUILDROOT)/Root\
          --identifier chezscheme\
          --version $(version)\
          --install-location /\
          --ownership recommended\
          $(BUILDROOT)/$(PKG)

$(BUILDROOT)/Distribution: $(BUILDROOT)
	echo '<?xml version="1.0" encoding="utf-8" standalone="no"?>' > $(BUILDROOT)/Distribution
	echo '<installer-gui-script minSpecVersion="1">' >> $(BUILDROOT)/Distribution
	echo '    <pkg-ref id="chezscheme">' >> $(BUILDROOT)/Distribution
	echo '        <bundle-version/>' >> $(BUILDROOT)/Distribution
	echo '    </pkg-ref>' >> $(BUILDROOT)/Distribution
	echo '    <title>Chez Scheme</title>' >> $(BUILDROOT)/Distribution
	echo '    <welcome file="Welcome.html"/>' >> $(BUILDROOT)/Distribution
	echo '    <license file="License.txt"/>' >> $(BUILDROOT)/Distribution
	echo '    <options customize="never" rootVolumeOnly="true"/>' >> $(BUILDROOT)/Distribution
	echo '    <options customize="never" require-scripts="false"/>' >> $(BUILDROOT)/Distribution
	echo '    <choices-outline>' >> $(BUILDROOT)/Distribution
	echo '        <line choice="default">' >> $(BUILDROOT)/Distribution
	echo '            <line choice="chezscheme"/>' >> $(BUILDROOT)/Distribution
	echo '        </line>' >> $(BUILDROOT)/Distribution
	echo '    </choices-outline>' >> $(BUILDROOT)/Distribution
	echo '    <choice id="default"/>' >> $(BUILDROOT)/Distribution
	echo '    <choice id="chezscheme" visible="false">' >> $(BUILDROOT)/Distribution
	echo '        <pkg-ref id="chezscheme"/>' >> $(BUILDROOT)/Distribution
	echo '    </choice>' >> $(BUILDROOT)/Distribution
	echo '    <pkg-ref id="chezscheme" version="$(version)" onConclusion="none" installKBytes="1639">#$(PKG)</pkg-ref>' >> $(BUILDROOT)/Distribution
	echo '</installer-gui-script>' >> $(BUILDROOT)/Distribution
	chmod 644 $(BUILDROOT)/Distribution

$(BUILDROOT)/Resources/en.lproj/Welcome.html: $(BUILDROOT)/Resources/en.lproj
	echo '<html>' > $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '<h3>Chez Scheme Version $(version)</h3>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '<p>Copyright &copy; 2020 Cisco Systems, Inc.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '<p>Chez Scheme is a programming language and an implementation of that language, with supporting tools and documentation.</p>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	echo '</html>' >> $(BUILDROOT)/Resources/en.lproj/Welcome.html
	chmod 644 $(BUILDROOT)/Resources/en.lproj/Welcome.html

$(BUILDROOT)/Resources/en.lproj/License.txt: $(BUILDROOT)/Resources/en.lproj
	cat ../../NOTICE ../../LICENSE > $(BUILDROOT)/Resources/en.lproj/License.txt
	chmod 644 $(BUILDROOT)/Resources/en.lproj/License.txt

$(BUILDROOT)/Resources/en.lproj: $(BUILDROOT)/Resources
	install -d $(BUILDROOT)/Resources/en.lproj

$(BUILDROOT)/Resources: $(BUILDROOT)
	install -d $(BUILDROOT)/Resources

$(BUIDROOT)/Root/bin $(BUILDROOT)/Root/lib $(BUILDROOT)/Root/man: $(BUILDROOT)/Root $(RELEASE)
	( cd $(RELEASE); sudo make install InstallGroup=wheel TempRoot=../$(BUILDROOT)/Root )

$(BUILDROOT)/Root: $(BUILDROOT)
	install -d $(BUILDROOT)/Root

$(RELEASE): $(BUILDROOT) ../bintar/$(TARBALL)
	tar -xzf ../bintar/$(TARBALL)

$(BUILDROOT):
	install -d $(BUILDROOT)

clean:
	rm -rf $(PKG) $(BUILDROOT) $(RELEASE)

=== rpm/Makefile ===
# Makefile
# Copyright 1984-2017 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

version = 9.5.4
release = 1
m := $(shell find ../bin/* -type d | xargs basename)
arch := $(shell if test "$(m)" == "i3le" ; then echo i686 ; elif test "$(m)" == "a6le" ; then echo x86_64 ; else echo UNKNOWN ; fi)
DOTUSER := $(shell ls -ld . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
DOTGROUP := $(shell ls -ldg . | sed -e 's/[^ ]* *[^ ]* *\([^ ]*\).*/\1/')
TMP := $(shell pwd)/tmp
SPEC = $(TMP)/ChezScheme-$(version)-$(arch)-$(release).spec
RELEASE = csv$(version)
TARBALL = $(RELEASE)-$(m).tar.gz
RPM = ChezScheme-$(version)-$(release).$(arch).rpm


$(RPM): $(TMP)/$(RPM)
	sudo install -m 644 -o $(DOTUSER) -g $(DOTGROUP) $(TMP)/${RPM} .

$(TMP)/$(RPM): $(SPEC) $(TMP)/$(TARBALL)
	sudo setarch $(arch) rpmbuild\
          --target $(arch)\
          --define "_topdir $(TMP)" \
          --define "_srcrpmdir $(TMP)" \
          --define "_rpmdir $(TMP)" \
          --define "_sourcedir $(TMP)" \
          --define "_builddir $(TMP)" \
          --define "_rpmfilename %{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}.rpm" \
          --quiet -ba $(SPEC)

$(SPEC): $(TMP)
	echo 'Summary: Chez Scheme: A high-performance version of Scheme' > $(SPEC)
	echo 'Name: ChezScheme' >> $(SPEC)
	echo 'Version: $(version)' >> $(SPEC)
	echo 'Release: $(release)' >> $(SPEC)
	echo 'Provides: ChezScheme-runtime-{VERSION}' >> $(SPEC)
	echo 'License: Apache 2.0' >> $(SPEC)
	echo 'URL: http://github.com/cisco/chezscheme' >> $(SPEC)
	echo 'Group: Development/Languages' >> $(SPEC)
	echo 'Source0: $(TARBALL)' >> $(SPEC)
	echo 'BuildRoot: %{_tmppath}/%{name}' >> $(SPEC)
	echo '%description' >> $(SPEC)
	echo 'Chez Scheme is a programming language and an implementation of that language,' >> $(SPEC)
	echo 'with supporting tools and documentation.' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%prep' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%setup -T -b 0 -n $(RELEASE)' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '#%build' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%install' >> $(SPEC)
	echo 'make install TempRoot=%{buildroot}' >> $(SPEC)
	echo '' >> $(SPEC)
	echo '%files' >> $(SPEC)
	echo '#%doc NOTICE' >> $(SPEC)
	echo '#%doc LICENSE' >> $(SPEC)
	echo '/usr/lib/$(RELEASE)' >> $(SPEC)
	echo '/usr/bin/petite' >> $(SPEC)
	echo '/usr/bin/scheme' >> $(SPEC)
	echo '/usr/bin/scheme-script' >> $(SPEC)
	echo '/usr/share/man/man1/petite.1.gz' >> $(SPEC)
	echo '/usr/share/man/man1/scheme.1.gz' >> $(SPEC)

$(TMP)/$(TARBALL): $(TMP) ../bintar/$(TARBALL)
	cp ../bintar/$(TARBALL) $(TMP)

$(TMP):
	mkdir $(TMP)

clean:
	rm -rf $(TMP) $(RPM)

=== wininstall/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
-VERSION := 9.4.1
+VERSION := 9.5.4
 WIXEXTENSIONS := -ext WixUIExtension -ext WixBalExtension
+export MSYS_NO_PATHCONV=1
 
 ChezScheme.exe: x86/bundle.wixobj ChezScheme32.msi ChezScheme64.msi
 	cmd.exe /c light.bat -nologo $(WIXEXTENSIONS) $< -out $@
@@ -21,10 +22,10 @@
 
 .PHONY: workareas
 workareas:
-	cd ..; ./configure -m=a6nt; $(MAKE) -C a6nt/c
-	cd ..; ./configure -m=i3nt; $(MAKE) -C i3nt/c
-	cd ..; ./configure -m=ta6nt; $(MAKE) -C ta6nt/c
-	cd ..; ./configure -m=ti3nt; $(MAKE) -C ti3nt/c
+	cd ..; ./configure -m=a6nt; $(MAKE) -C a6nt
+	cd ..; ./configure -m=i3nt; $(MAKE) -C i3nt
+	cd ..; ./configure -m=ta6nt; $(MAKE) -C ta6nt
+	cd ..; ./configure -m=ti3nt; $(MAKE) -C ti3nt
 
 .PHONY: clean
 clean:

=== csug/math/Makefile ===
include mathfiles

density=-r90x90

.SUFFIXES:
.SUFFIXES: .tex .gif

# translate ps file to ppm, crop to minimum background, and translate ppm
# to gif with white (background) transparent
#
.tex.gif:
	echo | latex $* &&\
          dvips -f < $*.dvi |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif -transparent white > $*.gif
	/bin/rm -f $*.dvi $*.log $*.aux
	test -f $*.gif && chmod 644 $*.gif

all: ${gifs}

${gifs}: mathmacros

clean: ; /bin/rm -f *.gif Make.out

=== debian/changelog ===
chezscheme (9.5.4+dfsg-4) unstable; urgency=medium

  * chezscheme.postinst: Clean up obsolete versioned alternatives on
    upgrades from buster. Thanks to Andreas Beckmann for the report and
    the patch! (Closes: #986875)

 -- Göran Weinholt <weinholt@debian.org>  Sun, 18 Apr 2021 16:54:30 +0200

chezscheme (9.5.4+dfsg-3) unstable; urgency=medium

  * debian/rules: Only override dh_link if chezscheme is built.
    Thanks to Axel Beckert for the report (Closes: #970507)

 -- Göran Weinholt <weinholt@debian.org>  Thu, 17 Sep 2020 21:27:16 +0200

chezscheme (9.5.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Göran Weinholt <weinholt@debian.org>  Tue, 15 Sep 2020 21:18:17 +0200

chezscheme (9.5.4+dfsg-1) experimental; urgency=medium

  [ Göran Weinholt ]
  * New upstream release
  * debian/copyright:
    - Exclude external projects from the repacked tarball.
    - Fix readability, cut redundant NOTICE, new years.
    - Use Expat for debian/, to have one less license.
  * debian/watch: Repack upstream's tarballs
  * debian/gbp.conf: Use new DEP-14 branch names
  * debian/patches: Rebase patches
  * debian/README.source: Updated bootstrap instructions
  * 0005-continuation-repair-for-return-arity-error.patch:
    - Patch from upstream git to fix a crash
  * 0006-make-arm32-return-address-encoding-montonic-w.r.t.-o.patch:
    - Patch from Racket-on-Chez to fix armhf (Closes: #968054)
  * 0007-Add-arm32le-boot-files-missing-in-the-release-tarbal:
    - Adds files for bootstrapping armhf builds
  * debian/control:
    - Add native build-depends on uuid-dev.
    - Add new liblz4 build-dependency.
    - New location for Vcs-{Git,Browser}
  * debian/README.Debian: no longer relevant, deleted
  * Drop the 0001-Dynamically-link-... patch, obsolete
  * debian/rules:
    - Link with -lz & -lz4
    - Fix for cross-compilation
  * Drop the chezschemeX.Y.Z versioning scheme. It was intended to
    allow for packaging of Scheme programs and libraries built with
    Chez, but that did not pan out. The ABI is not stable enough
    for that to be practical.
  * 0007-build-with-marm-on-armhf:
    - Build with -marm on armhf to fix a Thumb-related build error.
  * 0008-Add-usr-share-r6rs-to-the-library-path:
    - New patch to use libraries from /usr/share/r6rs by default.

  [ Helmut Grohne ]
  * Fix FTCBFS: Add missing native build-depends zlib and ncurses.
    (Closes: #967003)

 -- Göran Weinholt <weinholt@debian.org>  Sat, 05 Sep 2020 21:05:13 +0200

chezscheme (9.5.2+dfsg-1) experimental; urgency=low

  * New upstream release
  * debian/copyright: Note non-DFSG files in Files-Excluded
  * debian/watch: Fix the syntax, which was wrong all along
  * debian/gbp.conf: Remove quotes on tags and set upstream-branch
  * debian/control: Add uuid-dev to Build-Depends-Arch
  * Drop xlocale.h and FMTBUFSIZE patches; rebase remaining patches
  * chezscheme.post{inst,rm} should have been chezschemeVER.post{inst,rm}
  * debian/rules: Add {csug,release_notes]/Makefile to the cleanup

 -- Göran Weinholt <weinholt@debian.org>  Sun, 21 Apr 2019 11:46:08 +0200

=== debian/control ===
Source: chezscheme
Section: lisp
Priority: optional
Maintainer: Göran Weinholt <weinholt@debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 10), dh-exec
Build-Depends-Arch: zlib1g-dev | libz-dev,
       zlib1g-dev:native | libz-dev:native,
       liblz4-dev,
       liblz4-dev:native,
       libncurses5-dev | libncurses-dev | ncurses-dev,
       libncurses5-dev:native | libncurses-dev:native | ncurses-dev:native,
       uuid-dev,
       uuid-dev:native,
       libx11-dev,
       r6rs-nanopass-dev
Build-Depends-Indep: stex <!nodoc>
Standards-Version: 4.1.4
Homepage: https://cisco.github.io/ChezScheme/
Vcs-Git: https://salsa.debian.org/scheme-team/chezscheme.git
Vcs-Browser: https://salsa.debian.org/scheme-team/chezscheme

Package: chezscheme
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: ikarus (<< 0.0.3+bzr.2010.01.26-5)
Suggests: chezscheme-doc
Description: Reliable, high performance Scheme compiler
 Chez Scheme is both a programming language and an implementation of
 that language, with supporting tools and documentation.
 .
 As a superset of the language described in the Revised^6 Report on
 the Algorithmic Language Scheme (R6RS), Chez Scheme supports all
 standard features of Scheme, including first-class procedures, proper
 treatment of tail calls, continuations, user-defined records,
 libraries, exceptions, and hygienic macro expansion.
 .
 Chez Scheme also includes extensive support for interfacing with C
 and other languages, support for multiple threads possibly running on
 multiple cores, non-blocking I/O, and many other features.

Package: chezscheme-dev
Section: devel
Architecture: i386 amd64 armhf
Multi-Arch: same
Depends: chezscheme (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Reliable, high performance Scheme compiler (C development files)
 Chez Scheme is both a programming language and an implementation of
 that language, with supporting tools and documentation.
 .
 This package contains the runtime kernel and C headers.

Package: chezscheme-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Reliable, high performance Scheme compiler (documentation)
 Chez Scheme is both a programming language and an implementation of
 that language, with supporting tools and documentation.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -29,14 +29,11 @@
 endif
 
 # Avoid using /usr/bin/scheme to run stex
-ifeq ($(wildcard /usr/bin/chezscheme),)
-    INSTALLED_CHEZ=/usr/bin/chezscheme9.5
-else
-    # Available since 9.5+dfsg-6
-    INSTALLED_CHEZ=/usr/bin/chezscheme
-endif
+INSTALLED_CHEZ=/usr/bin/chezscheme
 
 LIBDIR=usr/lib/csv$(CHEZ_VERSION)/$(HOST_MACHINE_TYPE)
+
+fix_conf = sed -i -e 's,^ncursesLib=.*,ncursesLib=-lncurses -lz -llz4,g'
 
 %:
 	dh $@
@@ -47,13 +44,19 @@
           cp -r /usr/lib/csv$(CHEZ_VERSION)/$(HOST_MACHINE_TYPE) boot/$(HOST_MACHINE_TYPE); \
           touch boot/$(HOST_MACHINE_TYPE)/.debian-cleanup; \
 	fi
-	CC=$(CC) ./configure --workarea=build -m=$(HOST_MACHINE_TYPE) --installprefix=/usr --temproot=$(shell pwd)/debian/tmp
+	CC=$(CC) ./configure --workarea=build -m=$(HOST_MACHINE_TYPE) --installprefix=/usr --temproot=$(shell pwd)/debian/tmp ZLIB= LZ4=
 else
-	./configure --workarea=crossbuilder --threads --installprefix=/usr --temproot=$(shell pwd)/debian/tmp
+	./configure --workarea=crossbuilder --threads --installprefix=/usr --temproot=$(shell pwd)/debian/tmp ZLIB= LZ4=
+	$(fix_conf) crossbuilder/c/Mf-config
 	make -C crossbuilder
 	./workarea $(HOST_MACHINE_TYPE)
 	mv $(HOST_MACHINE_TYPE) build
+	echo "ncursesLib=-lncurses -lz -llz4" >> build/c/Mf-config
+	echo 'Kernel=$${KernelO}' >> build/c/Mf-config
+	echo 'KernelLinkDeps=$${KernelOLinkDeps}' >> build/c/Mf-config
+	echo 'KernelLinkLibs=$${KernelOLinkLibs}' >> build/c/Mf-config
 endif
+	$(fix_conf) build/c/Mf-config
 	(cd build/s; ln -s ../../s/primdata.ss primdata.ss)
 	cp -a release_notes/ build/
 	cp -a csug/ build/
@@ -75,7 +78,7 @@
 endif
 
 override_dh_auto_build-indep:
-ifneq (,$(filter chezscheme$(CHEZ_VERSION)-doc,$(DOPACKAGES)))
+ifneq (,$(filter chezscheme-doc,$(DOPACKAGES)))
 	make -C build/release_notes Scheme=$(INSTALLED_CHEZ) STEXLIB=/usr/share/stex
 	make -C build/csug Scheme=$(INSTALLED_CHEZ) STEXLIB=/usr/share/stex
 endif
@@ -86,12 +89,12 @@
 else
 	make -C build -f ../crossbuilder/Mf-install m=$(HOST_MACHINE_TYPE)
 endif
-	sed -e 's,^\\fI\(Chez Scheme\)\\fP,chezscheme$(CHEZ_VERSION) \- Chez Scheme,' \
-	    -e 's,^\\fI\(Petite Chez Scheme\)\\fP,petite$(CHEZ_VERSION) \- Petite Chez Scheme,' \
-	    build/scheme.1 > build/chezscheme$(CHEZ_VERSION).1
+	sed -e 's,^\\fI\(Chez Scheme\)\\fP,chezscheme \- Chez Scheme,' \
+	    -e 's,^\\fI\(Petite Chez Scheme\)\\fP,petite \- Petite Chez Scheme,' \
+	    build/scheme.1 > build/chezscheme.1
 
 override_dh_auto_install-indep:
-ifneq (,$(filter chezscheme$(CHEZ_VERSION)-doc,$(DOPACKAGES)))
+ifneq (,$(filter chezscheme-doc,$(DOPACKAGES)))
 	make -C build/release_notes Scheme=$(INSTALLED_CHEZ) STEXLIB=/usr/share/stex INSTALL=../installsh \
 	    installdir=$(shell pwd)/debian/tmp/usr/share/doc/chezscheme-doc/ \
 	    install
@@ -102,26 +105,18 @@
 	ln -sf ../csug.css debian/tmp/usr/share/doc/chezscheme-doc/html/canned/csug.css
 endif
 
+ifneq (,$(filter chezscheme,$(DOPACKAGES)))
 override_dh_link:
-	dh_link $(LIBDIR)/petite.boot $(LIBDIR)/petite$(CHEZ_VERSION).boot \
-	        $(LIBDIR)/scheme.boot $(LIBDIR)/chezscheme$(CHEZ_VERSION).boot \
-	        $(LIBDIR)/scheme.boot $(LIBDIR)/chezscheme.boot \
+	dh_link $(LIBDIR)/scheme.boot $(LIBDIR)/chezscheme.boot \
 	        $(LIBDIR)/scheme.boot $(LIBDIR)/scheme-script.boot \
-	        $(LIBDIR)/scheme.boot $(LIBDIR)/scheme-script$(CHEZ_VERSION).boot \
-	        /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
-	        /usr/share/man/man1/petite$(CHEZ_VERSION).1.gz \
-	        /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
-	        /usr/share/man/man1/scheme-script$(CHEZ_VERSION).1.gz
-	dh_link -pchezscheme \
-               /usr/bin/chezscheme$(CHEZ_VERSION) usr/bin/chezscheme \
-	       /usr/bin/chezscheme$(CHEZ_VERSION) usr/bin/petite \
-	       /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
-	       /usr/share/man/man1/petite.1.gz \
-	       /usr/share/man/man1/chezscheme$(CHEZ_VERSION).1.gz \
-               /usr/share/man/man1/chezscheme.1.gz
+	        /usr/share/man/man1/chezscheme.1.gz \
+	        /usr/share/man/man1/petite.1.gz \
+	        /usr/share/man/man1/chezscheme.1.gz \
+	        /usr/share/man/man1/scheme-script-chez.1.gz
+endif
 
 override_dh_auto_clean:
-	rm -f Makefile
+	rm -f Makefile csug/Makefile release_notes/Makefile
 	dh_auto_clean
 	if [ -f boot/$(HOST_MACHINE_TYPE)/.debian-cleanup ]; then \
 	  rm -rf boot/$(HOST_MACHINE_TYPE); \
@@ -134,4 +129,4 @@
 	dh_installchangelogs LOG
 
 override_dh_installman-arch:
-	dh_installman build/chezscheme$(CHEZ_VERSION).1
+	dh_installman build/chezscheme.1
